Subject: mycorrhizae & roses

From: "William W. Robinson" <[email-masked]>
Date: Wed, 12 Jun 1996 18:52:38 -0700

I garden in Southern California. I grow roses in combination with 
companion perrenials and I employ I.P.M. and have not used any toxic 
pesticides in the garden for several years. I maintain a high organic 
content in the soil with a lot of compost and I take it easy on 
chemical fertilizers. Our municipal water has a pH of 8.0 so our soil 
is definitely alkaline. Could any one tell me which mycorrhizae would 
be best suited for these conditions?
Thanks for any help that you might be able to give. . . Bill